import _sfc_main$1 from "./AppLayout.20b06384.js";
import { d as defineComponent, af as useRoute, m as resolveComponent, o as openBlock, H as createBlock, t as withCtx, s as createVNode, X as Transition, W as resolveDynamicComponent, f as unref } from "./vendor.7bbea347.js";
import "./index.3084aa9d.js";
import "./VIconButton.cfd2c92b.js";
import "./VAvatar.e3b0a3cd.js";
import "./VControl.76a04530.js";
import "./VField.a9a4c627.js";
import "./VModal.5d84fc75.js";
import "./VPlaceloadText.1916c63c.js";
import "./VDropdown.1e857aae.js";
import "./VIcon.32a71509.js";
import "./mesaService.0141aaad.js";
import "./masterService.c608b394.js";
import "./navbarLayoutState.c07e7fd3.js";
var block0 = {};
const _sfc_main = /* @__PURE__ */ defineComponent({
  setup(__props) {
    const route = useRoute();
    return (_ctx, _cache) => {
      const _component_RouterView = resolveComponent("RouterView");
      const _component_AppLayout = _sfc_main$1;
      return openBlock(), createBlock(_component_AppLayout, null, {
        default: withCtx(() => [
          createVNode(_component_RouterView, null, {
            default: withCtx(({ Component }) => [
              createVNode(Transition, {
                name: "fade-fast",
                mode: "out-in"
              }, {
                default: withCtx(() => [
                  (openBlock(), createBlock(resolveDynamicComponent(Component), {
                    key: unref(route).fullPath
                  }))
                ]),
                _: 2
              }, 1024)
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});
if (typeof block0 === "function")
  block0(_sfc_main);
export { _sfc_main as default };
